BankTransfer
How to use Bank Transfer to submit a payout in Chile.
Submit a payout by Bank Transfer in Chile.
POST https://sandbox.transfersmile.com/api/payout
This endpoint allows you to submit a payout by Bank Transfer in Chile.
Headers
Content-Type*
string
application/json; charset=UTF-8
AppId*
string
Your App ID in payout platform
Authorization*
string
SHA256($sorted_params + $app_key)
Request Body
name*
string
Beneficiary's name, length must between 5 and 100
phone
string
Beneficiary's phone
- Max 15, valid phone -
string
Beneficiary 's email - Max 64, valid email -
account*
string
Account, max length is 20
- 8 ~ 20 digits -
account_type*
string
Should be one of CHECKING, SAVINGS, VISTA, RUT, SALARY.
document_id*
string
Beneficiary document id
document_type*
string
Beneficiary document type, should be one of RUT, RUN, PAS, CE.
method*
string
Fixed Value: BANKTRANSFER
custom_code*
string
Merchant's order id
- Max.50 -
fee_bear*
string
All fees charge to merchant or beneficiary - One of: merchant, beneficiary -
amount*
string
Payout amount, should be an Integer.
- Min 1,000, Max 2,000,000 -
source_currency*
string
Merchant's account currency
- supported: USD, GBP, EUR, CLP -
arrival_currency*
string
Beneficiary's account currency.
- Fixed Value: CLP -
notify_url*
string
Where pagsmile will callback to
additional_remark*
string
Additional Remark - Max Length: 40 -
country*
string
Fixed value: CHL, for Chile
amount_type
string
Specify the amount value is fixed for merchant or beneficiary - One of: source_amount, arrival_amount(default) -
Example
Example of Document
RUT
1*******6
8-9 digits
RUT (Rol Único Tributario) is the tax identification number assigned to individuals and businesses in Chile.
RUN
2*******8
8-9 digits
RUN (Rol Único Nacional) is the national identification number assigned to Chilean individuals.
CE
3********9
Between 9 and 16 digits
CE (Carnet de Extranjería) is an identification document issued to foreign residents.
PAS
4********0
Between 9 and 16 digits
PAS (Passport) is an identification document issued by a country for international travel.
Example of Account Type
Last updated
Was this helpful?